/*
 * 文 件 名:  RealtimeDataCache
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/12/22
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.charging.model;

import com.ruoyi.ems.charging.model.req.RealtimeDataFrame;

import java.time.LocalDateTime;

/**
 * 实时数据缓存
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/12/22]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class RealtimeDataCache {
    private RealtimeDataFrame lastData;

    private LocalDateTime updateTime;

    private byte lastStatus;

    private double lastEnergy;

    public RealtimeDataFrame getLastData() {
        return lastData;
    }

    public void setLastData(RealtimeDataFrame lastData) {
        this.lastData = lastData;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public byte getLastStatus() {
        return lastStatus;
    }

    public void setLastStatus(byte lastStatus) {
        this.lastStatus = lastStatus;
    }

    public double getLastEnergy() {
        return lastEnergy;
    }

    public void setLastEnergy(double lastEnergy) {
        this.lastEnergy = lastEnergy;
    }
}